"use strict";
//import debug from "debug";
//const log = debug("dylink:util");
Object.defineProperty(exports, "__esModule", { value: true });
exports.MBtoPages = exports.alignMemory = exports.strlen = exports.sendString = exports.recvString = exports.nonzeroPositions = void 0;
function nonzeroPositions(table) {
    const v = [];
    for (let i = 0; i < table.length; i++) {
        if (table.get(i) != null) {
            v.push(i);
        }
    }
    return v;
}
exports.nonzeroPositions = nonzeroPositions;
const textDecoder = new TextDecoder(); // utf-8
const encoder = new TextEncoder();
function recvString(charPtr, memory) {
    const len = strlen(charPtr, memory);
    const slice = memory.buffer.slice(charPtr, charPtr + len);
    return textDecoder.decode(slice);
}
exports.recvString = recvString;
// encode as utf8 and copy string into pre-allocated memory buffer as null terminated.
function sendString(str, charPtr, // pre-allocated memory in which to put str; it better be big enough.
memory) {
    const strAsArray = encoder.encode(str);
    const len = strAsArray.length + 1;
    const array = new Int8Array(memory.buffer, charPtr, len);
    array.set(strAsArray);
    array[len - 1] = 0;
}
exports.sendString = sendString;
function strlen(charPtr, memory) {
    const mem = new Uint8Array(memory.buffer);
    let i = charPtr;
    while (mem[i]) {
        i += 1;
    }
    return i - charPtr;
}
exports.strlen = strlen;
function alignMemory(size, alignment) {
    return Math.ceil(size / alignment) * alignment;
}
exports.alignMemory = alignMemory;
function MBtoPages(MB) {
    // "Note: A WebAssembly page has a constant size of 65,536 bytes, i.e., 64KiB." from
    // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/WebAssembly/Memory/Memory
    // There's thus 1025/64 = 16 pages in a MB.
    return MB * 16;
}
exports.MBtoPages = MBtoPages;
//# sourceMappingURL=util.js.map